/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ActionCallVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * This object represents an action called by a user on a notification.
 */ 
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.ActionCall")]
[Bindable]
public class ActionCallVO implements IValueObject
{
    
    /**
     * The notification associated with the action.
     */
    private var notificationObj : JasmineEventNotificationVO;

    public function set notification(_notification:JasmineEventNotificationVO) : void {
        this.notificationObj = _notification;
    }
    
    public function get notification() : JasmineEventNotificationVO {
        return this.notificationObj;
    }

    /**
     * Name of the action.
     */
    private var nameObj : String;

    public function set name(_name:String) : void {
        this.nameObj = _name;
    }
    
    public function get name() : String {
        return this.nameObj;
    }

    /**
     * comment associated with the action.
     */
    private var commentObj : String;

    public function set comment(_comment:String) : void {
        this.commentObj = _comment;
    }
    
    public function get comment() : String {
        return this.commentObj;
    }

    /**
     * The user that executed the action.
     */
    private var userObj : String ;

    public function set user(_user:String) : void {
        this.userObj = _user;
    }
    
    public function get user() : String {
        return this.userObj;
    }

}
}